### Method

# EDataServer WebDAVSession refresh_lock_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_webdav_session_refresh_lock_sync (
      EWebDAVSession* webdav,
      const gchar* uri,
      const gchar* lock_token,
      gint32 lock_timeout,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Refreshes existing lock `lock_token` for a resource identified by `uri`, or, in case it’s `NULL`, on the URI defined in associated `ESource`. The `lock_token` is returned from `e_webdav_session_lock_sync()` and the `uri` should be the same as that used with e_webdav_session_lock_sync().

Available since: 3.26

#### Parameters

`uri`

  Type: `const gchar*`

  URI to lock, or `NULL` to read from `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`lock_token`

  Type: `const gchar*`

  Token of an existing lock.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`lock_timeout`

  Type: `gint32`

  Timeout for the lock, in seconds, on 0 to infinity.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.